SoSFPath(3IV)

NAME
SoSFPath — field containing a pointer to an SoPath

INHERITS FROM
SoField > SoSField > SoSFPath

SYNOPSIS
#include <Inventor/fields/SoSFPath.h>

Methods from class SoSFPath:

static SoType
getClassTypeId()
virtual void
getTypeId() const
SoPath *
getValue() const
SoPath *
operator =(SoPath * newValue)
void
setValue(SoPath * newValue)
int
operator ==(const SoSFPath &f) const
int
operator !=(const SoSFPath &f) const

Methods from class SoField:

void
setIgnored(SbBool ignore)
SbBool
isIgnored() const
SbBool
isDefault() const
virtual SbBool
isOfType(SoType type) const
SbBool
set(const char *valueString)
void
get(SbString &valueString)
void
touch()
SbBool
connectFrom(SoField *fromField)
SbBool
connectFrom(SoEngineOutput *fromEngine)
void
disconnect()
SbBool
isConnected() const
SbBool
isConnectedFromField() const
SbBool
getConnectedField(SoField *&writingField) const
SbBool
isConnectedFromEngine() const
SbBool
getConnectedEngine(SoEngineOutput *&engineOutput) const
void
enableConnection(SbBool flag)
SbBool
isConnectionEnabled() const
int
getForwardConnections(SoFieldList &list) const
SoFieldContainer *
getContainer() const

DESCRIPTION
This field maintains a pointer to an SoPath instance, correctly maintaining its reference count.

SoSFPaths are written to file as the path they point to. See the SoPath manual page for a description of the file format for a path.

METHODS
static SoType
getClassTypeId()
virtual void
getTypeId() const
Returns the type for this class or a particular object of this class.

SoPath *
getValue() const
Returns this field's value.

SoPath *
operator =(SoPath * newValue)
void
setValue(SoPath * newValue)
Sets this field to newValue.

int
operator ==(const SoSFPath &f) const
int
operator !=(const SoSFPath &f) const
Returns TRUE if f is of the same type and has the same value as this field.

SEE ALSO
SoField, SoSField, SoMFPath, SoPath